BigInteger
Date: 2016-06-24

java.math

## Class BigInteger

- java.lang.Object
- - java.lang.Number
  - - java.math.BigInteger

- All Implemented Interfaces:
    Serializable, Comparable

      public class BigInteger
      extends Number
      implements Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BigInteger` | `ONE`
    `static BigInteger` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigInteger(byte[] var0)`
    `BigInteger(int var0, byte[] var1)`
    `BigInteger(int var0, int var1, Random var2)`
    `BigInteger(int var0, Random var1)`
    `BigInteger(String var0)`
    `BigInteger(String var0, int var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `abs()`
    `BigInteger` | `add(BigInteger var0)`
    `BigInteger` | `and(BigInteger var0)`
    `BigInteger` | `andNot(BigInteger var0)`
    `int` | `bitCount()`
    `int` | `bitLength()`
    `BigInteger` | `clearBit(int var0)`
    `int` | `compareTo(BigInteger var0)`
    `int` | `compareTo(Object var0)`
    `BigInteger` | `divide(BigInteger var0)`
    `BigInteger[]` | `divideAndRemainder(BigInteger var0)`
    `double` | `doubleValue()`
    `BigInteger` | `flipBit(int var0)`
    `float` | `floatValue()`
    `BigInteger` | `gcd(BigInteger var0)`
    `int` | `getLowestSetBit()`
    `int` | `intValue()`
    `boolean` | `isProbablePrime(int var0)`
    `long` | `longValue()`
    `BigInteger` | `max(BigInteger var0)`
    `BigInteger` | `min(BigInteger var0)`
    `BigInteger` | `mod(BigInteger var0)`
    `BigInteger` | `modInverse(BigInteger var0)`
    `BigInteger` | `modPow(BigInteger var0, BigInteger var1)`
    `BigInteger` | `multiply(BigInteger var0)`
    `BigInteger` | `negate()`
    `BigInteger` | `not()`
    `BigInteger` | `or(BigInteger var0)`
    `BigInteger` | `pow(int var0)`
    `BigInteger` | `remainder(BigInteger var0)`
    `BigInteger` | `setBit(int var0)`
    `BigInteger` | `shiftLeft(int var0)`
    `BigInteger` | `shiftRight(int var0)`
    `int` | `signum()`
    `BigInteger` | `subtract(BigInteger var0)`
    `boolean` | `testBit(int var0)`
    `byte[]` | `toByteArray()`
    `String` | `toString(int var0)`
    `static BigInteger` | `valueOf(long var0)`
    `BigInteger` | `xor(BigInteger var0)`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ONE

          public static final BigInteger ONE

    - #### ZERO

          public static final BigInteger ZERO

  - ### Constructor Detail

    - #### BigInteger

          public BigInteger(int var0,
                    int var1,
                    Random var2)

    - #### BigInteger

          public BigInteger(int var0,
                    Random var1)

    - #### BigInteger

          public BigInteger(int var0,
                    byte[] var1)

    - #### BigInteger

          public BigInteger(String var0)

    - #### BigInteger

          public BigInteger(String var0,
                    int var1)

    - #### BigInteger

          public BigInteger(byte[] var0)

  - ### Method Detail

    - #### abs

          public BigInteger abs()

    - #### add

          public BigInteger add(BigInteger var0)

    - #### and

          public BigInteger and(BigInteger var0)

    - #### andNot

          public BigInteger andNot(BigInteger var0)

    - #### bitCount

          public int bitCount()

    - #### bitLength

          public int bitLength()

    - #### clearBit

          public BigInteger clearBit(int var0)

    - #### compareTo

          public int compareTo(Object var0)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### compareTo

          public int compareTo(BigInteger var0)

    - #### divide

          public BigInteger divide(BigInteger var0)

    - #### divideAndRemainder

          public BigInteger[] divideAndRemainder(BigInteger var0)

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `Number`

    - #### flipBit

          public BigInteger flipBit(int var0)

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `Number`

    - #### gcd

          public BigInteger gcd(BigInteger var0)

    - #### getLowestSetBit

          public int getLowestSetBit()

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `Number`

    - #### isProbablePrime

          public boolean isProbablePrime(int var0)

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `Number`

    - #### max

          public BigInteger max(BigInteger var0)

    - #### min

          public BigInteger min(BigInteger var0)

    - #### mod

          public BigInteger mod(BigInteger var0)

    - #### modInverse

          public BigInteger modInverse(BigInteger var0)

    - #### modPow

          public BigInteger modPow(BigInteger var0,
                          BigInteger var1)

    - #### multiply

          public BigInteger multiply(BigInteger var0)

    - #### negate

          public BigInteger negate()

    - #### not

          public BigInteger not()

    - #### or

          public BigInteger or(BigInteger var0)

    - #### pow

          public BigInteger pow(int var0)

    - #### remainder

          public BigInteger remainder(BigInteger var0)

    - #### setBit

          public BigInteger setBit(int var0)

    - #### shiftLeft

          public BigInteger shiftLeft(int var0)

    - #### shiftRight

          public BigInteger shiftRight(int var0)

    - #### signum

          public int signum()

    - #### subtract

          public BigInteger subtract(BigInteger var0)

    - #### testBit

          public boolean testBit(int var0)

    - #### toByteArray

          public byte[] toByteArray()

    - #### toString

          public String toString(int var0)

    - #### valueOf

          public static BigInteger valueOf(long var0)

    - #### xor

          public BigInteger xor(BigInteger var0)